Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.communication
Class UsageReporting

    java.lang.Object
      edu.wpi.first.wpilibj.communication.UsageReporting

    public final class UsageReporting

extends Object

Author:
  mwills

Field Summary
`static int` | `kADXL345_I2C`
`static int` | `kADXL345_SPI`
`static int` | `kCANPlugin_2CAN`
`static int` | `kCANPlugin_BlackJagBridge`
`static int` | `kCommand_Scheduler`
`static int` | `kDriverStationCIO_Analog`
`static int` | `kDriverStationCIO_DigitalIn`
`static int` | `kDriverStationCIO_DigitalOut`
`static int` | `kDriverStationEIO_Acceleration`
`static int` | `kDriverStationEIO_AnalogIn`
`static int` | `kDriverStationEIO_AnalogOut`
`static int` | `kDriverStationEIO_Button`
`static int` | `kDriverStationEIO_DigitalIn`
`static int` | `kDriverStationEIO_DigitalOut`
`static int` | `kDriverStationEIO_Encoder`
`static int` | `kDriverStationEIO_FixedDigitalOut`
`static int` | `kDriverStationEIO_LED`
`static int` | `kDriverStationEIO_PWM`
`static int` | `kDriverStationEIO_TouchSlider`
`static int` | `kFramework_Iterative`
`static int` | `kFramework_Simple`
`static int` | `kLanguage_CPlusPlus`
`static int` | `kLanguage_Java`
`static int` | `kLanguage_LabVIEW`
`static int` | `kLanguage_Python`
`static int` | `kResourceType_Accelerometer`
`static int` | `kResourceType_ADXL345`
`static int` | `kResourceType_AnalogChannel`
`static int` | `kResourceType_AnalogTrigger`
`static int` | `kResourceType_AnalogTriggerOutput`
`static int` | `kResourceType_AxisCamera`
`static int` | `kResourceType_Button`
`static int` | `kResourceType_CANJaguar`
`static int` | `kResourceType_CANPlugin`
`static int` | `kResourceType_Command`
`static int` | `kResourceType_Compressor`
`static int` | `kResourceType_Controller`
`static int` | `kResourceType_Counter`
`static int` | `kResourceType_Dashboard`
`static int` | `kResourceType_DigitalInput`
`static int` | `kResourceType_DigitalOutput`
`static int` | `kResourceType_DriverStationCIO`
`static int` | `kResourceType_DriverStationEIO`
`static int` | `kResourceType_DriverStationLCD`
`static int` | `kResourceType_Encoder`
`static int` | `kResourceType_Framework`
`static int` | `kResourceType_GearTooth`
`static int` | `kResourceType_Gyro`
`static int` | `kResourceType_HiTechnicAccel`
`static int` | `kResourceType_HiTechnicColorSensor`
`static int` | `kResourceType_HiTechnicCompass`
`static int` | `kResourceType_I2C`
`static int` | `kResourceType_Jaguar`
`static int` | `kResourceType_Joystick`
`static int` | `kResourceType_Kinect`
`static int` | `kResourceType_KinectStick`
`static int` | `kResourceType_Language`
`static int` | `kResourceType_Module`
`static int` | `kResourceType_PCVideoServer`
`static int` | `kResourceType_PIDController`
`static int` | `kResourceType_Preferences`
`static int` | `kResourceType_PWM`
`static int` | `kResourceType_Relay`
`static int` | `kResourceType_RobotDrive`
`static int` | `kResourceType_SerialPort`
`static int` | `kResourceType_Servo`
`static int` | `kResourceType_SmartDashboard`
`static int` | `kResourceType_Solenoid`
`static int` | `kResourceType_SPI`
`static int` | `kResourceType_SRF08`
`static int` | `kResourceType_Talon`
`static int` | `kResourceType_Task`
`static int` | `kResourceType_Ultrasonic`
`static int` | `kResourceType_Victor`
`static int` | `kRobotDrive_ArcadeButtonSpin`
`static int` | `kRobotDrive_ArcadeRatioCurve`
`static int` | `kRobotDrive_ArcadeStandard`
`static int` | `kRobotDrive_MecanumCartesian`
`static int` | `kRobotDrive_MecanumPolar`
`static int` | `kRobotDrive_Tank`
`static int` | `kSmartDashboard_Instance`
`static int` | `kUsageReporting_version`

Method Summary
`static void` | `report(int resource, int instanceNumber)` Report the usage of a resource of interest.
`static void` | `report(int resource, int instanceNumber, int context)` Report the usage of a resource of interest.
`static void` | `report(int resource, int instanceNumber, int context, String feature)` Report the usage of a resource of interest.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kUsageReporting_version

    public static final int kUsageReporting_version

See Also:
  Constant Field Values

### kResourceType_Controller

    public static final int kResourceType_Controller

See Also:
  Constant Field Values

### kResourceType_Module

    public static final int kResourceType_Module

See Also:
  Constant Field Values

### kResourceType_Language

    public static final int kResourceType_Language

See Also:
  Constant Field Values

### kResourceType_CANPlugin

    public static final int kResourceType_CANPlugin

See Also:
  Constant Field Values

### kResourceType_Accelerometer

    public static final int kResourceType_Accelerometer

See Also:
  Constant Field Values

### kResourceType_ADXL345

    public static final int kResourceType_ADXL345

See Also:
  Constant Field Values

### kResourceType_AnalogChannel

    public static final int kResourceType_AnalogChannel

See Also:
  Constant Field Values

### kResourceType_AnalogTrigger

    public static final int kResourceType_AnalogTrigger

See Also:
  Constant Field Values

### kResourceType_AnalogTriggerOutput

    public static final int kResourceType_AnalogTriggerOutput

See Also:
  Constant Field Values

### kResourceType_CANJaguar

    public static final int kResourceType_CANJaguar

See Also:
  Constant Field Values

### kResourceType_Compressor

    public static final int kResourceType_Compressor

See Also:
  Constant Field Values

### kResourceType_Counter

    public static final int kResourceType_Counter

See Also:
  Constant Field Values

### kResourceType_Dashboard

    public static final int kResourceType_Dashboard

See Also:
  Constant Field Values

### kResourceType_DigitalInput

    public static final int kResourceType_DigitalInput

See Also:
  Constant Field Values

### kResourceType_DigitalOutput

    public static final int kResourceType_DigitalOutput

See Also:
  Constant Field Values

### kResourceType_DriverStationCIO

    public static final int kResourceType_DriverStationCIO

See Also:
  Constant Field Values

### kResourceType_DriverStationEIO

    public static final int kResourceType_DriverStationEIO

See Also:
  Constant Field Values

### kResourceType_DriverStationLCD

    public static final int kResourceType_DriverStationLCD

See Also:
  Constant Field Values

### kResourceType_Encoder

    public static final int kResourceType_Encoder

See Also:
  Constant Field Values

### kResourceType_GearTooth

    public static final int kResourceType_GearTooth

See Also:
  Constant Field Values

### kResourceType_Gyro

    public static final int kResourceType_Gyro

See Also:
  Constant Field Values

### kResourceType_I2C

    public static final int kResourceType_I2C

See Also:
  Constant Field Values

### kResourceType_Framework

    public static final int kResourceType_Framework

See Also:
  Constant Field Values

### kResourceType_Jaguar

    public static final int kResourceType_Jaguar

See Also:
  Constant Field Values

### kResourceType_Joystick

    public static final int kResourceType_Joystick

See Also:
  Constant Field Values

### kResourceType_Kinect

    public static final int kResourceType_Kinect

See Also:
  Constant Field Values

### kResourceType_KinectStick

    public static final int kResourceType_KinectStick

See Also:
  Constant Field Values

### kResourceType_PIDController

    public static final int kResourceType_PIDController

See Also:
  Constant Field Values

### kResourceType_Preferences

    public static final int kResourceType_Preferences

See Also:
  Constant Field Values

### kResourceType_PWM

    public static final int kResourceType_PWM

See Also:
  Constant Field Values

### kResourceType_Relay

    public static final int kResourceType_Relay

See Also:
  Constant Field Values

### kResourceType_RobotDrive

    public static final int kResourceType_RobotDrive

See Also:
  Constant Field Values

### kResourceType_SerialPort

    public static final int kResourceType_SerialPort

See Also:
  Constant Field Values

### kResourceType_Servo

    public static final int kResourceType_Servo

See Also:
  Constant Field Values

### kResourceType_Solenoid

    public static final int kResourceType_Solenoid

See Also:
  Constant Field Values

### kResourceType_SPI

    public static final int kResourceType_SPI

See Also:
  Constant Field Values

### kResourceType_Task

    public static final int kResourceType_Task

See Also:
  Constant Field Values

### kResourceType_Ultrasonic

    public static final int kResourceType_Ultrasonic

See Also:
  Constant Field Values

### kResourceType_Victor

    public static final int kResourceType_Victor

See Also:
  Constant Field Values

### kResourceType_Button

    public static final int kResourceType_Button

See Also:
  Constant Field Values

### kResourceType_Command

    public static final int kResourceType_Command

See Also:
  Constant Field Values

### kResourceType_AxisCamera

    public static final int kResourceType_AxisCamera

See Also:
  Constant Field Values

### kResourceType_PCVideoServer

    public static final int kResourceType_PCVideoServer

See Also:
  Constant Field Values

### kResourceType_SmartDashboard

    public static final int kResourceType_SmartDashboard

See Also:
  Constant Field Values

### kResourceType_Talon

    public static final int kResourceType_Talon

See Also:
  Constant Field Values

### kResourceType_HiTechnicColorSensor

    public static final int kResourceType_HiTechnicColorSensor

See Also:
  Constant Field Values

### kResourceType_HiTechnicAccel

    public static final int kResourceType_HiTechnicAccel

See Also:
  Constant Field Values

### kResourceType_HiTechnicCompass

    public static final int kResourceType_HiTechnicCompass

See Also:
  Constant Field Values

### kResourceType_SRF08

    public static final int kResourceType_SRF08

See Also:
  Constant Field Values

### kLanguage_LabVIEW

    public static final int kLanguage_LabVIEW

See Also:
  Constant Field Values

### kLanguage_CPlusPlus

    public static final int kLanguage_CPlusPlus

See Also:
  Constant Field Values

### kLanguage_Java

    public static final int kLanguage_Java

See Also:
  Constant Field Values

### kLanguage_Python

    public static final int kLanguage_Python

See Also:
  Constant Field Values

### kCANPlugin_BlackJagBridge

    public static final int kCANPlugin_BlackJagBridge

See Also:
  Constant Field Values

### kCANPlugin_2CAN

    public static final int kCANPlugin_2CAN

See Also:
  Constant Field Values

### kFramework_Iterative

    public static final int kFramework_Iterative

See Also:
  Constant Field Values

### kFramework_Simple

    public static final int kFramework_Simple

See Also:
  Constant Field Values

### kRobotDrive_ArcadeStandard

    public static final int kRobotDrive_ArcadeStandard

See Also:
  Constant Field Values

### kRobotDrive_ArcadeButtonSpin

    public static final int kRobotDrive_ArcadeButtonSpin

See Also:
  Constant Field Values

### kRobotDrive_ArcadeRatioCurve

    public static final int kRobotDrive_ArcadeRatioCurve

See Also:
  Constant Field Values

### kRobotDrive_Tank

    public static final int kRobotDrive_Tank

See Also:
  Constant Field Values

### kRobotDrive_MecanumPolar

    public static final int kRobotDrive_MecanumPolar

See Also:
  Constant Field Values

### kRobotDrive_MecanumCartesian

    public static final int kRobotDrive_MecanumCartesian

See Also:
  Constant Field Values

### kDriverStationCIO_Analog

    public static final int kDriverStationCIO_Analog

See Also:
  Constant Field Values

### kDriverStationCIO_DigitalIn

    public static final int kDriverStationCIO_DigitalIn

See Also:
  Constant Field Values

### kDriverStationCIO_DigitalOut

    public static final int kDriverStationCIO_DigitalOut

See Also:
  Constant Field Values

### kDriverStationEIO_Acceleration

    public static final int kDriverStationEIO_Acceleration

See Also:
  Constant Field Values

### kDriverStationEIO_AnalogIn

    public static final int kDriverStationEIO_AnalogIn

See Also:
  Constant Field Values

### kDriverStationEIO_AnalogOut

    public static final int kDriverStationEIO_AnalogOut

See Also:
  Constant Field Values

### kDriverStationEIO_Button

    public static final int kDriverStationEIO_Button

See Also:
  Constant Field Values

### kDriverStationEIO_LED

    public static final int kDriverStationEIO_LED

See Also:
  Constant Field Values

### kDriverStationEIO_DigitalIn

    public static final int kDriverStationEIO_DigitalIn

See Also:
  Constant Field Values

### kDriverStationEIO_DigitalOut

    public static final int kDriverStationEIO_DigitalOut

See Also:
  Constant Field Values

### kDriverStationEIO_FixedDigitalOut

    public static final int kDriverStationEIO_FixedDigitalOut

See Also:
  Constant Field Values

### kDriverStationEIO_PWM

    public static final int kDriverStationEIO_PWM

See Also:
  Constant Field Values

### kDriverStationEIO_Encoder

    public static final int kDriverStationEIO_Encoder

See Also:
  Constant Field Values

### kDriverStationEIO_TouchSlider

    public static final int kDriverStationEIO_TouchSlider

See Also:
  Constant Field Values

### kADXL345_SPI

    public static final int kADXL345_SPI

See Also:
  Constant Field Values

### kADXL345_I2C

    public static final int kADXL345_I2C

See Also:
  Constant Field Values

### kCommand_Scheduler

    public static final int kCommand_Scheduler

See Also:
  Constant Field Values

### kSmartDashboard_Instance

    public static final int kSmartDashboard_Instance

See Also:
  Constant Field Values

Method Detail

### report

    public static void report(int resource,
                              int instanceNumber)

  Report the usage of a resource of interest.

  Parameters:
    `resource` - one of the values in the tResourceType above (max value 51).
    `instanceNumber` - an index that identifies the resource instance.

### report

    public static void report(int resource,
                              int instanceNumber,
                              int context)

  Report the usage of a resource of interest.

  Parameters:
    `resource` - one of the values in the tResourceType above (max value 51).
    `instanceNumber` - an index that identifies the resource instance.
    `context` - an optional additional context number for some cases (such as module number). Set to 0 to omit.

### report

    public static void report(int resource,
                              int instanceNumber,
                              int context,
                              String feature)

  Report the usage of a resource of interest.

  Parameters:
    `resource` - one of the values in the tResourceType above (max value 51).
    `instanceNumber` - an index that identifies the resource instance.
    `context` - an optional additional context number for some cases (such as module number). Set to 0 to omit.
    `feature` - a string to be included describing features in use on a specific resource. Setting the same resource more than once allows you to change the feature string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"